Skip to content

Deletes a category by its ID

Request

DELETE {{baseURL}}/pay-int-api/categories/{{categoryId}}

This endpoint deletes a category.

This category will not be available in the catalog. Items linked to this category will still be in the catalog with empty category.

See Also:
To list categories, see GET /pay-int-api/categories.
To create a category, see POST /pay-int-api/categories.
To update a category, see PUT /pay-int-api/categories/{categoryId}.

Security
Bearer
Path
categoryIdstring, (uuid)required

Specifies the identifier of the category to delete.

Example:6780a6b7-8c9d-4e0f-1a2b-3c4d5e6f7a03
Headers
x-api-versionstring

Specifies the API version to use for the request.

Example: 1.0

Example:1.0
curl -i -X DELETE \
  https://developer.flute.com/_mock/api-reference/pay-int-api/categories/6780a6b7-8c9d-4e0f-1a2b-3c4d5e6f7a03 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'x-api-version: 1.0'

Responses

Category deleted successfully.

Response
No content